import protobug


class SeekSource(protobug.Enum, strict=False):
    SEEK_SOURCE_UNKNOWN = 0
    SEEK_SOURCE_TIMESTAMP_IN_COMMENTS = 1
    SEEK_SOURCE_TIMESTAMP_IN_DESCRIPTION = 2
    SEEK_SOURCE_MACRO_MARKER_LIST_ITEM = 3
    SEEK_SOURCE_DOUBLE_TAP_TO_SEEK = 4
    SEEK_SOURCE_DOUBLE_TAP_TO_SKIP_CHAPTER = 5
    SEEK_SOURCE_PICK_UP_PLAY_HEAD = 6
    SEEK_SOURCE_SLIDE_ON_SCRUBBER_BAR = 7
    SEEK_SOURCE_SLIDE_ON_PLAYER = 8
    SEEK_SOURCE_SABR_PARTIAL_CHUNK = 9
    SEEK_SOURCE_SABR_SEEK_TO_HEAD = 10
    SEEK_SOURCE_SABR_LIVE_DVR_USER_SEEK = 11
    SEEK_SOURCE_SABR_SEEK_TO_DVR_LOWER_BOUND = 12
    SEEK_SOURCE_SABR_SEEK_TO_DVR_UPPER_BOUND = 13
    SEEK_SOURCE_SSDAI_INTERNAL = 14
    SEEK_SOURCE_START_PLAYBACK = 15

    SEEK_SOURCE_SABR_ACCURATE_SEEK = 17
    SEEK_SOURCE_START_PLAYBACK_SEEK_TO_END = 18
    SEEK_SOURCE_IOS_PLAYER_REMOVED_SEGMENTS = 19
    SEEK_SOURCE_IOS_PLAYER_SEGMENT_LIST = 20
    SEEK_SOURCE_IOS_PLAYER_ITEM_SEEK = 21
    SEEK_SOURCE_IOS_PLAYER_ITEM_SEEK_TO_END = 22
    SEEK_SOURCE_IOS_PLAYER_SEEK_TO_END_TO_RESYNC = 23
    SEEK_SOURCE_IOS_SEEK_ACCESSIBILITY_BUTTON = 24
    SEEK_SOURCE_FINE_SCRUBBER_SLIDE_ON_FILMSTRIP = 25
    SEEK_SOURCE_FINE_SCRUBBER_TAP_ON_FILMSTRIP = 26
    SEEK_SOURCE_FINE_SCRUBBER_SLIDE_ON_SCRUBBER_BAR = 27
    SEEK_SOURCE_SEEK_BUTTON_ON_PLAYER_CONTROL = 28
    SEEK_SOURCE_SABR_INGESTION_WALL_TIME_SEEK = 29
    SEEK_SOURCE_PLAYER_VIEW_REPARENT_INTERNAL = 30
    SEEK_SOURCE_PRESS_REWIND_PLAY_BACK_CONTROL = 31
    SEEK_SOURCE_PRESS_FAST_FORWARD_PLAY_BACK_CONTROL = 32
    SEEK_SOURCE_PRESS_LIVE_SYNC_ICON = 33
    SEEK_SOURCE_PEG_TO_LIVE = 34
    SEEK_SOURCE_ANDROID_MEDIA_SESSION = 35
    SEEK_SOURCE_TAP_ON_REPLAY_ACTION = 36
    SEEK_SOURCE_AUTOMATIC_REPLAY_ACTION = 37
    SEEK_SOURCE_NON_USER_SEEK_TO_PREVIOUS = 38
    SEEK_SOURCE_NON_USER_SEEK_TO_NEXT = 39
    SEEK_SOURCE_HIGHLIGHTS_TAP_NEXT_PLAY = 40
    SEEK_SOURCE_HIGHLIGHTS_TAP_HIDDEN_NEXT_PLAY = 41
    SEEK_SOURCE_HIGHLIGHTS_TAP_LIST_ITEM = 42
    SEEK_SOURCE_HIGHLIGHTS_AUTOMATIC_NEXT_PLAY = 43
    SEEK_SOURCE_HIGHLIGHTS_SEEK_TO_FIRST_PLAY = 44
    SEEK_SOURCE_HIGHLIGHTS_SEEK_TO_END = 45
    SEEK_SOURCE_SEGMENTS_TAP_LIST_ITEM = 46
    SEEK_SOURCE_PIP_FAST_FORWARD_BUTTON = 47
    SEEK_SOURCE_PIP_REWIND_BUTTON = 48
    SEEK_SOURCE_PIP_RESUME_ON_HEAD = 49
    SEEK_SOURCE_MOVING_CLIP_FRAME = 50
    SEEK_SOURCE_RESUME_CLIP_PREVIOUS_POSITION = 51
    SEEK_SOURCE_SEEK_TO_NEXT_CHAPTER = 52
    SEEK_SOURCE_SEEK_TO_PREVIOUS_CHAPTER = 53
    SEEK_SOURCE_IOS_SHAREPLAY_PAUSE = 54
    SEEK_SOURCE_IOS_SHAREPLAY_SEEK = 55
    SEEK_SOURCE_IOS_SHAREPLAY_SYNC_RESPONSE = 56
    SEEK_SOURCE_SEEK_TO_HEAD_IMMERSIVE_LIVE_VIDEO = 57
    SEEK_SOURCE_SEEK_TO_START_OF_LOOPING_RANGE_OF_SHORTS = 58
    SEEK_SOURCE_SABR_SEEK_TO_CLOSEST_KEYFRAME = 59
    # Proto mapping below not confirmed
    SEEK_SOURCE_SEEK_TO_END_OF_LOOPING_RANGE_OF_SHORTS = 60
    SEEK_SOURCE_CLIP_SLIDE_ON_FILMSTRIP = 61
    SEEK_SOURCE_PICK_UP_CLIP_SLIDER = 62
    SEEK_SOURCE_FINE_SCRUBBER_CANCELLED = 63
    SEEK_SOURCE_INLINE_PLAYER_SEEK_CHAPTER = 64
    SEEK_SOURCE_INLINE_PLAYER_SEEK_SECONDS = 65
    SEEK_SOURCE_HIGHLIGHTS_TAP_PREVIOUS_PLAY = 66
    SEEK_SOURCE_HIGHLIGHTS_PLAYER_EXIT_FULLSCREEN = 67
    SEEK_SOURCE_LARGE_CONTROLS_FORWARD_BUTTON = 68
    SEEK_SOURCE_LARGE_CONTROLS_REWIND_BUTTON = 69
    SEEK_SOURCE_LARGE_CONTROLS_SCRUBBER_BAR = 70
    SEEK_SOURCE_SEEK_BACKWARD_5S = 71
    SEEK_SOURCE_SEEK_FORWARD_5S = 72
    SEEK_SOURCE_SEEK_BACKWARD_10S = 73
    SEEK_SOURCE_SEEK_FORWARD_10S = 74
    SEEK_SOURCE_SEEK_FORWARD_60S = 75
    SEEK_SOURCE_SEEK_BACKWARD_60S = 76
    SEEK_SOURCE_SEEK_TO_NEXT_FRAME = 77
    SEEK_SOURCE_SEEK_TO_PREV_FRAME = 78
    SEEK_SOURCE_KEYBOARD_SEEK_TO_BEGINNING = 79
    SEEK_SOURCE_KEYBOARD_SEEK_TO_END = 80
    SEEK_SOURCE_SEEK_PERCENT_OF_VIDEO = 81
    SEEK_SOURCE_HIDDEN_FAST_FORWARD_BUTTON = 82
    SEEK_SOURCE_HIDDEN_REWIND_BUTTON = 83
    SEEK_SOURCE_TIMESTAMP = 84
    SEEK_SOURCE_LR_MEDIA_SESSION_SEEK = 85
    SEEK_SOURCE_MIDROLLS_WITH_TIME_RANGE = 86
    SEEK_SOURCE_SKIP_AD = 87
    SEEK_SOURCE_SEEK_TO_PREVIOUS = 88
    SEEK_SOURCE_SEEK_TO_NEXT = 89
    SEEK_SOURCE_LR_QUICK_SEEK = 90
    SEEK_SOURCE_ONESIE_LIVE = 91
    SEEK_SOURCE_LR_PLAYER_CONTROL_ACTION = 92
    SEEK_SOURCE_UNPLUGGED_LENS_START_CLIP = 93
    SEEK_SOURCE_LR_KEY_PLAYS = 94
    SEEK_SOURCE_SSAP_AD_FMT_FATAL = 95
    SEEK_SOURCE_TVHTML5_INPUT_SOURCE_KEY_EVENT = 96
    SEEK_SOURCE_TVHTML5_INPUT_SOURCE_CONTROLS = 97
    SEEK_SOURCE_TVHTML5_INPUT_SOURCE_TOUCH = 98
    SEEK_SOURCE_TVHTML5_INPUT_SOURCE_TOUCHPAD = 99
    SEEK_SOURCE_SEEK_TO_HEAD = 100
    SEEK_SOURCE_AUTOMATIC_PREVIEW_REPLAY_ACTION = 101
    SEEK_SOURCE_H5_MEDIA_ELEMENT_EVENT = 102
    SEEK_SOURCE_H5_WORKAROUND_SEEK = 103
    SEEK_SOURCE_MINIPLAYER_REWIND_BUTTON = 104
    SEEK_SOURCE_MINIPLAYER_FAST_FORWARD_BUTTON = 105
    SEEK_SOURCE_SABR_RELOAD_PLAYER_RESPONSE_TOKEN_SEEK = 106
    SEEK_SOURCE_SLIDE_ON_SCRUBBER_BAR_CHAPTER = 107
    SEEK_SOURCE_ANDROID_CLEAR_BUFFER = 108